server:
  port: 7003



license:
  subject: direwolf-cloud
  publicAlias: publiccert
  storePass: Development2@shineenergy4Direwolf!@#$%
  licensePath: ${LICENSE_PATH:license.lic}
  publicKeysStorePath: ${PUBLIC_CERT_PATH:publiccerts.keystore}
  strict: false

spring:
  application:
    name: contract-bizc
  # dev环境
  profiles:
    active: dev
  # 配置中心
  # ！！！！请注意说明！！！！   下段配置为使用配置中心，本微服务的配置信息会从配置中心获取。一般来说就不需要在本地放置application.yml文件了
#  cloud:
#    config:
#      fail-fast: true
#      name: ${spring.application.name}
#      #profile: ${spring.profiles.active}
#      profile: dev
#      discovery:
#        enabled: true
#        service-id: xxx.direwolf-config

# 注册中心配置
eureka:
  instance:
    hostname: CONTRACT-BIZC
    prefer-ip-address: true
    ip-address: ${INSTANCE_IP:127.0.0.1}
    instance-id: ${eureka.instance.ip-address}:8888
    metadata-map:
      auth-code: $2a$10$4coouP8TrECk18Vdrl4.7OvVdK5dLCj1O52t4nWebSW9/tWbCLCuC
      service-name: 合同辅助工具
      service-desc: 合同辅助工具
      service-sys: ${SERVICE_SYS:scm}
      service-namespace: ${SERVICE_NAMESPACE:scm}
  client:
    registry-fetch-interval-seconds: 10
    service-url:
      defaultZone: http://47.103.151.199:8002/eureka/
#      defaultZone: http://direwolf:direwolf@${EUREKA_IP:10.131.216.16}:31993/eureka/

direwolf:
  ms:
    sys:
      name: scm.direwolf-sys
    auth:
      name: scm.direwolf-auth
    config:
      name: scm.direwolf-config
  sm2:
    publicKey: 04F6E0C3345AE42B51E06BF50B98834988D54EBC7460FE135A48171BC0629EAE205EEDE253A530608178A98F1E19BB737302813BA39ED3FA3C51639D7A20C7391A
    privateKey: 3690655E33D5EA3D9A4AE1A1ADD766FDEA045CDEAA43A9206FB8C430CEFE0D94
  print:
    url: http://shw.themoretech.com:30299
  quartz:
    isOpen: true
